<div class="formula">
  {{#each data.owned.formulas as |formula id|}}
  <div class="formula-entry">
    <img class="formula-icon" src="{{formula.img}}" title="{{formula.name}}" data-edit="img" />
    <a class="formula-name roll-spell" name="{{formula._id}}" title="Probe">{{formula.name}}</a>
    <div class="formula-check">
      {{#each ../data.owned.spells as |spell key|}}
      {{#if (eq formula.data.sourceId spell._id)}}
      (
      {{localize (concat 'DSA.' spell.data.test.firstAttribute '_abbr')}} /
      {{localize (concat 'DSA.' spell.data.test.secondAttribute '_abbr')}} /
      {{localize (concat 'DSA.' spell.data.test.thirdAttribute '_abbr')}}
      )
      | ZfW: {{spell.data.value}} <!--{{calculateFinalModificator formula.data}}-->
      {{/if}}
      {{/each}}
    </div>
    <div class="formula-check" name="data.owned.{{formula._id}}.data.description">{{formula.data.description}}</div>
    <div class="formula-grid">
      <div class="formula-grid-detail" name="data.owned.{{formula._id}}.data.parameters">
        {{formatFormulaParameters formula.data.parameters}}
      </div>
      <div class="formula-grid-edit">
        <a class="item-edit" name="{{formula._id}}"><i class="fas fa-wrench"></i></a>
      </div>
      <div class="formula-grid-detail" name="data.owned.{{formula._id}}.data.source">
        {{formula.data.source}} | <!--{{getInstructionNameByInstructionId formula.data.instructionId}} -->
        {{#if (gt formula.data.asp 0)}}
        | {{formula.data.asp}}
        {{#if (gt formula.data.pasp 0)}}
        ({{formula.data.pasp}})
        {{/if}}
        {{ localize 'DSA.asp' }}
        {{/if}}
      </div>
    </div>
  </div>
  {{/each}}
</div>